#
# spec file for package bladeRF-fpga-firmware
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014-2016 Wojciech Kazubski, wk@ire.pw.edu.pl
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bladeRF-fpga-firmware
Version:        0.7.3
Release:        lp152.1.1
Summary:        FPGA firmware for SDR radio receiver
License:        SUSE-NonFree
Group:          Productivity/Hamradio/Other
Url:            http://nuand.com/
Source0:        http://nuand.com/fpga/v%{version}/hostedx40.rbf
Source1:        http://nuand.com/fpga/v%{version}/hostedx115.rbf
BuildArch:      noarch

%description
The FPGA firmware for bladeRF USB 3.0 Superspeed Software Defined Radio.
This package is needed if the firmware is to be loaded at board initialization.

%prep

%build

%install
install -Dpm644 %{SOURCE0} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedx40.rbf
install -Dpm644 %{SOURCE1} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/fpga/hostedx115.rbf

%files
%defattr(-,root,root)
%dir %{_datadir}/Nuand
%dir %{_datadir}/Nuand/bladeRF
%dir %{_datadir}/Nuand/bladeRF/fpga
%{_datadir}/Nuand/bladeRF/fpga/hostedx40.rbf
%{_datadir}/Nuand/bladeRF/fpga/hostedx115.rbf

%changelog
* Mon Jan 20 2020 Martin Hauke <mardnh@gmx.de>
- Change license to SUSE-NonFree
* Wed Sep  5 2018 mardnh@gmx.de
- Update to version 0.7.3
* Mon Apr 24 2017 mpluskal@suse.com
- Small packaging changes
* Sat Apr 15 2017 mardnh@gmx.de
- specfile cleanup
* Thu Jun 30 2016 wk@ire.pw.edu.pl
- requires bladeRF-cli
* Wed Jun  1 2016 wk@ire.pw.edu.pl
- version 0.6.0
* Thu Dec 31 2015 wk@ire.pw.edu.pl
- version 0.5.0
* Wed Dec 16 2015 wk@ire.pw.edu.pl
- version 0.4.1
* Sat Aug  1 2015 wk@ire.pw.edu.pl
- version 0.3.4
* Thu Jul  2 2015 wk@ire.pw.edu.pl
- version 0.3.3
* Wed Dec  3 2014 wk@ire.pw.edu.pl
- version 0.1.2
* Fri Jul 25 2014 wk@ire.pw.edu.pl
- version 0.0.6
